Bug 1260233 - openchange-client: libsamba-debug-samba4.so: cannot open shared object file
openchange-client: libsamba-debug-samba4.so: cannot open shared object file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openchange (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-04 16:54 EDT by marcindulak
Modified: 2015-09-25 06:54 EDT (History)
5 users (show)

See Also:
Fixed In Version: openchange-2.2-9 openchange-2.2-9.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-25 06:54:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Vagrantfile (1.22 KB, text/plain)
2015-09-04 16:54 EDT, marcindulak
no flags Details

  None (edit)
Description marcindulak 2015-09-04 16:54:36 EDT
Created attachment 1070434 [details]
Vagrantfile

Description of problem:


Version-Release number of selected component (if applicable):

openchange-client-2.2-7.fc22.x86_64

How reproducible:


Steps to Reproduce:
1. dnf -y install openchange-client which
2. dnf -y update
3. ldd `which mapiprofile` | grep 'not found'

Actual results:

libsamba-debug-samba4.so => not found

Expected results:


Additional info:

Reproducible with the attached Vagrantfile using the official Fedora 22 Vagrant Box available at https://getfedora.org/en/cloud/download/
Comment 1 Henrique Martins 2015-09-06 10:44:23 EDT
With yum one gets:

Error: Package: openchange-client-2.2-7.fc22.x86_64 (updates)
           Requires: libsamba-debug-samba4.so(SAMBA_4.2.2)(64bit)
Error: Package: openchange-2.2-7.fc22.x86_64 (updates)
           Requires: libsamba-debug-samba4.so(SAMBA_4.2.2)(64bit)

This is due to the system having samba 4.2.3 installed:

% rpm -q -f /usr/lib64/samba/libsamba-debug-samba4.so
samba-client-libs-4.2.3-0.fc22.x86_64
Comment 2 Milan Crha 2015-09-07 05:45:10 EDT
Thanks for a bug report. Interestingly the update [1] made it stable without noticing the dependency issue. Anyway, I'll rebuild openchange to make it work again.

[1] https://bodhi.fedoraproject.org/updates/FEDORA-2015-14742
Comment 3 Fedora Update System 2015-09-07 06:16:59 EDT
openchange-2.2-8.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15259
Comment 4 Fedora Update System 2015-09-07 14:19:27 EDT
openchange-2.2-8.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update openchange'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15259
Comment 5 Henrique Martins 2015-09-09 17:25:02 EDT
Doesn't seem to work.

% rpm -q  openchange openchange-client samba-client-libs   
openchange-2.2-8.fc22.x86_64
openchange-client-2.2-8.fc22.x86_64
samba-client-libs-4.2.3-0.fc22.x86_64

% mapiprofile --newdb                      
mapiprofile: error while loading shared libraries: libsamba-debug-samba4.so: cannot open shared object file: No such file or directory

% rpm -q -f /usr/lib64/samba/libsamba-debug-samba4.so
samba-client-libs-4.2.3-0.fc22.x86_64

% ldd `which mapiprofile` | grep libsamba-debug-samba4.so
  libsamba-debug-samba4.so => not found
  libsamba-debug-samba4.so => /usr/lib64/samba/libsamba-debug-samba4.so (0x0000003a35a00000)

Not sure why ldd shows libsamba-debug-samba4.so twice.  Maybe some intermediary shared lib needs to be recompiled.
Comment 6 Andrew Meredith 2015-09-10 05:17:55 EDT
I get exactly the same results

# rpm -q  openchange openchange-client samba-client-libs
openchange-2.2-8.fc22.x86_64
openchange-client-2.2-8.fc22.x86_64
samba-client-libs-4.2.3-0.fc22.x86_64

# mapiprofile --newdb
mapiprofile: error while loading shared libraries: libsamba-debug-samba4.so: cannot open shared object file: No such file or directory

# rpm -q -f /usr/lib64/samba/libsamba-debug-samba4.so
samba-client-libs-4.2.3-0.fc22.x86_64

# ldd `which mapiprofile` | grep libsamba-debug-samba4.so
	libsamba-debug-samba4.so => not found
	libsamba-debug-samba4.so => /usr/lib64/samba/libsamba-debug-samba4.so (0x000000362ec00000)
Comment 7 Milan Crha 2015-09-14 11:36:57 EDT
You are right. I updated the patch and I'm currently rebuilding openchange. The right version will be openchange-2.2-9.
Comment 8 Fedora Update System 2015-09-14 11:50:06 EDT
openchange-2.2-9.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15259
Comment 9 Fedora Update System 2015-09-15 01:55:54 EDT
openchange-2.2-9.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update openchange'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15259
Comment 10 Andrew Meredith 2015-09-15 05:34:41 EDT
Much better :-)

# rpm -q  openchange openchange-client samba-client-libs
openchange-2.2-9.fc22.x86_64
openchange-client-2.2-9.fc22.x86_64
samba-client-libs-4.2.3-0.fc22.x86_64

# mapiprofile --newdb
# 

# rpm -q -f /usr/lib64/samba/libsamba-debug-samba4.so
samba-client-libs-4.2.3-0.fc22.x86_64

# ldd `which mapiprofile` | grep libsamba-debug-samba4.so
	libsamba-debug-samba4.so => /usr/lib64/samba/libsamba-debug-samba4.so (0x0000003f54000000)
Comment 11 Fedora Update System 2015-09-25 06:54:09 EDT
openchange-2.2-9.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.